Priority: Normal
Affected QGIS version:master Regression?: No

Operating System: MacOS Easy fix?: No

Pull Request or Patch supplied:No Resolution:
Description

I am having a problem using the value relation widget in QGIS 2.99999 / master. Here is my simple scenario:

schema.png

The intention is to show the trail_section table (which has a geometry column) and include in it various properties from the trail table (for

line colour and so on). I set up my relations like this:

trail_section.png

The table form view shows the trail name instead of the trail_id nicely but whenever I click on a record, the label turns red and I get the

following error whenever I try to commit:

error.png

From the error message I can see that it is trying to update the trail_section.trail_id with the value of the trail relation rather than the key.

Associated revisions

Revision 032ca68b - 2017-11-09 11:11 AM - Matthias Kuhn 

Merge pull request #5572 from signedav/valuerelationwidget

Value relation widget takes key again instead of value (in Attribute Form)

Fix #17261

History

#1 - 2017-10-08 11:01 PM - Giovanni Manghi

- Status changed from Open to Feedback

Works as expected on QGIS LTR?

#2 - 2017-10-12 11:53 AM - Tim Sutton

Hi Giovanni. Yes I tested and the same procedure seems to work in 2.18  but not in QGIS 3. I will go and triple check that I followed the same workflow and

report back here if it was my fault :-P
#3 - 2017-10-12 11:59 AM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2017-11-09 11:11 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|032ca68ba3834d16ba34eff27e104d7fb1c6945f.
